Page MenuHomePhabricator

Re-create ci slaves (March 2015)
Closed, ResolvedPublic

Description

integration-slave120x (precise) and integration-140x (trusty) will be created.
integration-slave100x (precise) and integration-101x (trusty) will be destroyed.

Notable this time:

  • The base image in labs has changed and now consolidates / and /var. Thus giving logs more breathing room. As well as other minor issues.
  • Lots of stuff weird crazy on our instances with untracked and forgotten live hacks.
  • Upstream puppet often breaks things that are not discovered until a new instance is created (e.g. permissions changes).
  • Puppet manifests are sometimes badly written and only tested on existing instances.

As always, document stuff at https://wikitech.wikimedia.org/wiki/Nova_Resource:Integration/Setup

See also:
T87484: Recreate integration-puppetmaster with new image (/var/ is too small)


Due to unresolved regressions, precise slaves will be skipping this round.

Event Timeline

Krinkle claimed this task.
Krinkle raised the priority of this task from to High.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Krinkle renamed this task from Re-create integration slaves to Pool new integration-slave12xx and integration-slave14xx instances and delete old ones.Mar 4 2015, 5:43 PM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)
Krinkle renamed this task from Pool new integration-slave12xx and integration-slave14xx instances and delete old ones to Pool new integration-slave14xx instances and delete old ones.Mar 11 2015, 3:19 PM
Krinkle closed this task as Resolved.

Blocking issues for Ubuntu Trusty resolved. Our instance creation process as documented now works cleanly. New instances were created and pooled over the course of last week and the old instances deleted as of March 8.

https://wikitech.wikimedia.org/wiki/Release_Engineering/SAL

Krinkle renamed this task from Pool new integration-slave14xx instances and delete old ones to Re-create ci slaves (March 2015).Apr 2 2015, 10:02 PM
Krinkle updated the task description. (Show Details)